<template>
  <div class="RegisterComponent">
    <b-form @submit="onSubmit">
      <div class="row mx-2 mt-5">
        <div class="col">
          <b-form-input
            id="restaurantName"
            v-model="restaurant.name"
            type="text"
            placeholder="Nom du restaurant"
            required
          ></b-form-input>
        </div>
      </div>

      <div class="row mx-2 mt-3">
        <div class="col-8">
          <b-form-input
            id="address"
            v-model="restaurant.address"
            type="text"
            placeholder="Adresse"
            required
          ></b-form-input>
        </div>

        <div class="col-4">
          <b-form-input
            id="country"
            v-model="restaurant.country"
            type="text"
            placeholder="Pays"
            required
          ></b-form-input>
        </div>
      </div>

      <div class="row mx-2 mt-3">
        <div class="col-7">
          <b-form-input
            id="city"
            v-model="restaurant.city"
            type="text"
            placeholder="Ville"
            required
          ></b-form-input>
        </div>

        <div class="col-5">
          <b-form-input
            id="postcode"
            v-model="restaurant.postcode"
            type="text"
            placeholder="Code Postal"
            required
          ></b-form-input>
        </div>
      </div>

      <div class="row mx-2 mt-4">
        <div class="col-6"></div>
        <div class="col-6">
          <b-button type="submit" variant="secondary"
            >Inscrire le restaurant</b-button
          >
        </div>
      </div>
    </b-form>
    <div></div>
  </div>
</template>

<script lang="ts">
import Vue from "vue";
import { mapActions } from "vuex";

export default Vue.extend({
  name: "RegisterRestaurantComponent",
  props: {},

  data: () => ({
    restaurant: {
      name: "",
      address: "",
      city: "",
      postcode: "",
      country: "",
      owner: 0,
    },
  }),

  methods: {
    ...mapActions(["addRestaurant"]),
    onSubmit() {
      if (localStorage.idUser) {
        this.restaurant.owner = localStorage.idUser;
      }
      this.addRestaurant(this.restaurant);
    },
  },
});
</script>

<style scoped></style>
